## Synopsis

Layers is a WordPress Theme framework focused on extending the WordPress core functionality to include layout building through the WordPress Visual Customizer. A lightweight set of base options, widgets and theme templates provide a user-friendly, extensible tool for creating beautiful, WordPress-faithful websites

## Download & Install

Layers is available from our GitHub link here, or from layerswp.com and requires a self-hosted WordPress install.
* [LayersWP](http://www.layerswp.com/download/layers/)

View WordPress installation and server requirements on the [WordPress Codex](https://wordpress.org/download/)

To install Layers and this child theme, upload the zip file to your self-hosted WordPress install under APPEARANCE →THEMES → ADD NEW.

Upon Activation, you will be greeted with a quick overview and be prompted to choose a preset.


###Read the Author Guide
This demo theme should not be used as a basis for a commerical product and is intended as a teaching tool. There are several functions and templates that may not be appropriate for your project. 
Be sure to read the child theme guide for author tips and best practices on setting up your project.

* [Child Theme Guide](http://docs.layerswp.com/theming/)


## Page Builder

The core concept of Layers is to enable the user to build layouts using functionality that is native to WordPress. This page template simply provides a single widget area that is designed to work with the Layers Page Builder Widgets specifically, but can accomodate most any widget with a little custom styling.

[Learn how the page builder works](http://docs.layerswp.com/doc/build-your-home-page/)

## Framework

Layers is built upon a lightweight HTML5 & CSS framework designed for speed, comprehension and efficient building of Child Themes and Extensions. It uses a 12ths grid and includes styling for buttons, forms, content typography, navigation and images.

* Framework Guide with code examples: [Start Here](http://docs.layerswp.com/layers-framework-grids/)
* [Framework Visual Reference](http://docs.layerswp.com/framework/)


## License FAQs

Layers is released under the GPL 2.0 License, which governs how the code can be distributed. It does not govern copyright at the product level or trademark of the brand.

This demo theme is offered as a teaching tool and foundation to begin building your own themes and should be modified in both name, slug and content prior to sale or redistribution.


### Commercial Sale of  Child Themes or Extensions for Layers:

You may sell any product created for Layers on your own site or a theme marketplace. You may link to our documentation to help support your customers, but take on all developmental responsibility and support for your product where it is specific to your code. For your own sanity, we recommend you direct your users to download Layers from our official links to ensure they receive the most recent versions, and read through our developer documentation and best practices.

For more information, view the [GPL FAQ](http://www.gnu.org/licenses/gpl-faq.html)


## Theming & Extending

As a framework, Layers is not intended for direct modification. Instead, it allows you to backup pages and widget data to create presets or Style Kits which you can share, sell, or use to seamlessly transfer setups and layouts from one install to another. Layers may also be extended through Child Themes and Plugins (Extensions) via a growing set of hooks, snippets and tips found in our Developer Reference library.

The Layers Docs codex contains a growing reference for custom hooks found in Layers, along with core functions, definitions and child-theming resources.

* [Child Theme Introduction](http://docs.layerswp.com/child-themes-introduction/)
* [Plugin Development Guide](http://docs.layerswp.com/plugin-creation-guide/)
* [Code Reference](http://docs.layerswp.com/reference/)
